# This spec is backported to ALTLinux 4.0 automatically by rpmbph script. Do not edit it.
#
Name: nx
Version: 3.3.0
Release: alt7.M40.8

Summary: Next Generation Remote Display
Group: Networking/Remote access
License: GPL, MIT/X11 for X11 bits
Url: http://www.nomachine.com

Source: nxagent-%version-10.tar.gz
Source1: nxauth-%version-1.tar.gz
Source3: nxcomp-%version-3.tar.gz
Source4: nxcompext-%version-3.tar.gz
Source5: nxcompsh-%version-1.tar.gz
Source6: nxcompshad-%version-3.tar.gz
Source7: nxesd-%version-1.tar.gz
Source9: nxproxy-%version-2.tar.gz
Source10: nxscripts-%version-1.tar.gz
Source12: nxservice-%version-1.tar.gz
Source13: nxssh-%version-1.tar.gz
Source15: nxwin-%version-2.tar.gz
Source16: nx-X11-%version-5.tar.gz
Source17: nxagent
Source18: docs.tar.bz2
Source19: nxfind-provides.sh

Patch: nx-X11-alt-SecurityPolicy-path.patch
Patch1: nx-X11-dimbor.patch
Patch2: nxcomp-3.2.0-gcc43.patch
Patch3: nxcompsh-3.2.0-gcc43.patch
Patch4: nxcompshad-3.2.0-gcc43.patch
Patch5: nxcompshad-3.3.0-Xext.patch
Patch6: nx-X11-utf8_copy_clipboard.patch
Patch7: nxesd-3.3.0-esd.patch

Packager: Boris Savelev <boris@altlinux.org>

Obsoletes: NX
Provides: NX = %version

Obsoletes: libXcomp
Provides: libXcomp = %version

Obsoletes: libXcompext
Provides: libXcompext = %version

Obsoletes: libXcompshad
Provides: libXcompshad = %version

%set_verify_elf_method unresolved=relaxed

%define _use_internal_dependency_generator 0
%define __find_provides %SOURCE19

# Automatically added by buildreq on Tue Dec 02 2008
BuildRequires: docbook-utils gcc-c++ groff-base imake libICE-devel libXrender-devel
BuildRequires: libXdamage-devel libXrandr-devel libXt-devel libXtst-devel libXext-devel
BuildRequires: libarts-devel libjpeg-devel libpam-devel esound-devel
BuildRequires: libssl-devel libstdc++-devel makedepend
BuildRequires: xorg-cf-files xorg-x11-proto-devel xorg-x11-devel xorg-x11-proto-devel

BuildRequires: rpm-build-compat >= 0.95

%description
NX is an exciting new technology for remote display. It provides near local
speed application responsiveness over high latency, low bandwidth links. The
core libraries for NX are provided by NoMachine under the GPL.

%prep
tar xzf %SOURCE0
tar xzf %SOURCE1
tar xzf %SOURCE3
tar xzf %SOURCE4
tar xzf %SOURCE5
tar xzf %SOURCE6
tar xzf %SOURCE7
tar xzf %SOURCE9
tar xzf %SOURCE10
tar xzf %SOURCE12
tar xzf %SOURCE13
tar xzf %SOURCE15
tar xzf %SOURCE16

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0

cat >> nx-X11/config/cf/host.def << EOF
#ifdef  i386Architecture
#undef  DefaultGcc2i386Opt
#define DefaultGcc2i386Opt      $RPM_OPT_FLAGS -fno-strict-aliasing
#endif
#ifdef  MipsArchitecture
#undef  DefaultGcc2MipsOpt
#define DefaultGcc2MipsOpt      $RPM_OPT_FLAGS -fno-strict-aliasing
#endif
#ifdef s390xArchitecture
#undef OptimizedCDebugFlags
#define OptimizedCDebugFlags $RPM_OPT_FLAGS -fno-strict-aliasing
#endif
#ifdef  AMD64Architecture
#undef  DefaultGcc2AMD64Opt
#define DefaultGcc2AMD64Opt $RPM_OPT_FLAGS -fno-strict-aliasing
#endif
EOF

%build
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"
sed -i "s|CXXFLAGS=.-O.*|CXXFLAGS=\"$CXXFLAGS\"|" */configure
# build Compression Library and Proxy
for i in nxcomp nxproxy nxcompshad; do
pushd $i
%configure
%ifarch x86_64 s390x ia64 ppc64
sed -i "s,/usr/X11R6/lib ,/usr/X11R6/lib64 ,g" Makefile
%endif
%make_build
popd
done

# build X11 Support Libraries and Agents
pushd nx-X11
%make_build World
popd

# build Extended Compression Library
pushd nxcompext
%configure
%make_build
popd
# build nxssh
pushd nxssh
%configure --without-zlib-version-check
%make
popd
# build nxesd
pushd nxesd
%configure
# multi proc build is broken on any systems
make
popd
# build nxcompsh
pushd nxcompsh
%configure
%make_build
popd
# build nxservice
pushd nxservice
%configure
%make_build
popd

%install
mkdir -p %buildroot%_bindir/
mkdir -p %buildroot%_libdir/NX/
mkdir -p %buildroot%_libdir/

# install X11 Support Libraries and Agents
cp -a nx-X11/lib/X11/libX11.so.* \
     nx-X11/lib/Xext/libXext.so.* \
     nx-X11/lib/Xrender/libXrender.so.* \
%buildroot%_libdir/NX/
install -m 755 nx-X11/programs/Xserver/nxagent \
%buildroot%_libdir/
install -m 755 %SOURCE17 %buildroot%_bindir/

sed -i "s|LIBDIR|%_libdir|" %buildroot%_bindir/nxagent

# install Compression Libraries and Proxy
cp -a nxcomp/libXcomp.so* %buildroot%_libdir/
cp -a nxcompext/libXcompext.so* %buildroot%_libdir/
cp -a nxcompshad/libXcompshad.so* %buildroot%_libdir/
cp -a nxcompsh/libXcompsh.so* %buildroot%_libdir/
install -m 755 nxproxy/nxproxy %buildroot%_libdir/
ln -snf nxagent %buildroot%_bindir/nxproxy
# install nxssh
pushd nxssh
cp -a nxssh %buildroot%_libdir/
ln -snf nxagent %buildroot%_bindir/nxssh
chmod 755 %buildroot%_libdir/nxssh
popd
# install nxesd
pushd nxesd
cp -a .libs/nxesd %buildroot%_libdir/
ln -snf nxagent %buildroot%_bindir/nxesd
chmod 755 %buildroot%_bindir/nxesd
popd

pushd nxservice
cp -a nxservice %buildroot%_libdir/
ln -snf nxagent %buildroot%_bindir/nxservice
chmod 755 %buildroot%_bindir/nxservice
popd

# install scripts
if [ ! -d %buildroot%_docdir/%name-%version ]; then
mkdir -p %buildroot%_docdir/%name-%version/
fi
cp -r nxscripts %buildroot%_docdir/%name-%version/
# documentation and license
tar xjf %SOURCE18 -C %buildroot%_docdir/%name-%version/
install -m 644 nxcomp/LICENSE %buildroot%_docdir/%name-%version/
if [ ! -d %buildroot%_docdir/%name-%version/nxcomp ]; then
mkdir %buildroot%_docdir/%name-%version/nxcomp
fi
install -m 644 nxcomp/README %buildroot%_docdir/%name-%version/nxcomp

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc %_docdir/%name-%version
%_bindir/nxagent
%_bindir/nxesd
%_bindir/nxproxy
%_bindir/nxssh
%_bindir/nxservice
%_libdir/lib*.so*
%_libdir/nx*
%dir %_libdir/NX
%_libdir/NX/lib*.so*

%changelog
* Fri Jan 23 2009 Boris Savelev <boris@altlinux.org> 3.3.0-alt7.M40.8
- backport to ALTLinux 4.0 (by rpmbph script)

* Fri Jan 23 2009 Boris Savelev <boris@altlinux.org> 3.3.0-alt8
- fix build nxesd (bug #18620)

* Fri Jan 23 2009 Boris Savelev <boris@altlinux.org> 3.3.0-alt7
- new verison:
    nxagent
    nx-X11
    nxcompshad

* Wed Jan 19 2009 Boris Savelev <boris@altlinux.org> 3.3.0-alt6
- back devel *.so (for proprietary soft)
- new verison:
    nxagent
    nx-X11
    nxcompext
- fix buildreq

* Tue Dec 30 2008 Boris Savelev <boris@altlinux.org> 3.3.0-alt5
- add Clipboard patch from dimbor
- remove devel *.so

* Fri Dec 05 2008 Yuri Fil <yurifil@altlinux.org> 3.3.0-alt4
- fix linking in nxesd

* Fri Dec 05 2008 Yuri Fil <yurifil@altlinux.org> 3.3.0-alt3
- don't build nxesd docs (due problem with jade)

* Fri Dec 05 2008 Yuri Fil <yurifil@altlinux.org> 3.3.0-alt2
- fix build on Mandriva/2009.0

* Sat Nov 22 2008 Boris Savelev <boris@altlinux.org> 3.3.0-alt1
- 3.3.0 release

* Tue Jul 15 2008 Boris Savelev <boris@altlinux.org> 3.2.0-alt3
- Fixed TR07F02082. The agent server could be unable to init core
  keyboard on 64 bit systems.

* Thu Jul 03 2008 Boris Savelev <boris@altlinux.org> 3.2.0-alt2
- Imported patch fixing issues from  X.Org security advisory, June
  11th, 2008: Multiple vulnerabilities in X server extensions. CVE
  IDs: CVE-2008-1377, CVE-2008-1379, CVE-2008-2360, CVE-2008-2361,
  CVE-2008-2362.
- new nx-X11 and nxagent

* Sat Jun 14 2008 Boris Savelev <boris@altlinux.org> 3.2.0-alt1
- new version

